Recuperar categoria
curl --request GET \
--url https://api.malvo.io/categories/{id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/categories/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/categories/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "01010000",
"description": "Salary/pro-labore",
"descriptionTranslated": "Salário",
"parentId": "01000000",
"parentDescription": "Income"
}{
"code": 404,
"codeDescription": "CATEGORY_NOT_FOUND",
"message": "category not found"
}{
"code": 500,
"codeDescription": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Categories
Recuperar categoria
Recupera uma categoria pelo seu id (8 dígitos numéricos).
GET
/
categories
/
{id}
Recuperar categoria
curl --request GET \
--url https://api.malvo.io/categories/{id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/categories/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/categories/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "01010000",
"description": "Salary/pro-labore",
"descriptionTranslated": "Salário",
"parentId": "01000000",
"parentDescription": "Income"
}{
"code": 404,
"codeDescription": "CATEGORY_NOT_FOUND",
"message": "category not found"
}{
"code": 500,
"codeDescription": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Authorizations
Chave de API da aplicação. Obrigatória em todos os endpoints. Renove via POST /auth.
Path Parameters
Id da categoria (8 dígitos numéricos).
Response
Objeto Category.
Categoria de transação. Hierarquia de até 3 níveis: nível-1 = XX000000, nível-2 = XXYY0000, nível-3 = XXYYZZ00. Em categorias de nível-1 as chaves parentId/parentDescription são omitidas (não emitidas como null).
Id de 8 dígitos numéricos.
Example:
"01010000"
Nome em inglês.
Example:
"Salary/pro-labore"
Nome em português.
Example:
"Salário"
Id da categoria pai. Chave omitida em categorias de nível-1.
Example:
"01000000"
description do pai. Chave omitida em categorias de nível-1.
Example:
"Income"